/*to use EXPLAIN PLAN on the below statement*/
/*highlight it then click on Explain Plan icon (3rd from the left) on the toolbar*/

SELECT COUNT(*) FROM DVSYS.RULE_SET_RULE$;


/*you can also run EXPLAIN PLAN as a regular sql statement*/
/*highlight the whole block below and run*/
/*the explain plan result will show in Script Output*/
EXPLAIN PLAN FOR
SELECT COUNT(*) FROM DVSYS.RULE_SET_RULE$;
SELECT PLAN_TABLE_OUTPUT FROM 
TABLE (DBMS_XPLAN.DISPLAY()); 


/*now we compare plans of executing a query with and without indexes*/
/*first explain the below plan using the toolbar icon*/
/*then pin the result*/
SELECT COUNT(distinct name) FROM sys.col$ c;

/*now explain the below plan, also using the toolbar icon*/
/*you can then right click on the new explain plan result*/
/*and compare it with the previous one*/
SELECT /*+ FULL(c)  */ COUNT(distinct name) FROM sys.col$ c;


